package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.CorpInfoXgfAddCmd;
import com.zcloud.basic.info.dto.CorpInfoXgfPageQry;
import com.zcloud.basic.info.dto.CorpInfoXgfUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.CorpInfoXgfCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-10-31 10:52:09
 */
public interface CorpInfoXgfServiceI {
    PageResponse<CorpInfoXgfCO> listPage(CorpInfoXgfPageQry qry);

    SingleResponse<CorpInfoXgfCO> add(CorpInfoXgfAddCmd cmd);

    void edit(CorpInfoXgfUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    CorpInfoXgfCO info(Long id);
}

